package jp.flup.fp10.helper
{
	import flash.display.Sprite;
	import flash.events.Event;
	
	import mx.core.IMXMLObject;
	import mx.core.UIComponent;
	import mx.events.FlexEvent;

	public class InitViewHelper implements IMXMLObject
	{
		private var view:fp10_test;
		private var sprite:Sprite;
		private var count:int = 0;

		public function initialized(document:Object, id:String):void
		{
			view = document as fp10_test;
			view.addEventListener(FlexEvent.CREATION_COMPLETE, creationCompleteHandler);
		}
		
		private function creationCompleteHandler(event:FlexEvent):void
		{
			sprite = new Sprite();
			sprite.graphics.beginFill(0x990000);
			sprite.graphics.drawCircle(0,0,60);
			sprite.graphics.endFill();
			sprite.x = 100;
			sprite.y = 100;
			
			var UIRef:UIComponent = new UIComponent();
			view.addChild(UIRef);
			UIRef.addChild(sprite);
			view.addEventListener(Event.ENTER_FRAME, onEnterFrame);
		}
		
		private function onEnterFrame(evnet:Event):void
		{
			count = (count+1)%360;
			sprite.rotationY = count;
		}
	}
}